log4cplus::thread Namespace Reference

## Namespaces

namespace | impl

## Classes

class | Queue
| Single consumer, multiple producers queue. More...
class | SyncGuard
class | SimpleMutex
class | Mutex
class | Semaphore
class | ManualResetEvent
class | SharedMutexImplBase
class | SyncGuardFunc
class | SharedMutex
class | SignalsBlocker
| This class blocks all POSIX signals when created and unblocks them when destroyed. More...
class | AbstractThread
| There are many cross-platform C++ Threading libraries. More...

## Typedefs

typedef helpers::SharedObjectPtr< Queue > | QueuePtr
typedef SyncGuard< SimpleMutex > | SimpleMutexGuard
typedef SyncGuard< Mutex > | MutexGuard
typedef SyncGuard< Semaphore > | SemaphoreGuard
typedef SyncGuardFunc< SharedMutex, &SharedMutex::rdlock, &SharedMutex::rdunlock > | SharedMutexReaderGuard
typedef SyncGuardFunc< SharedMutex, &SharedMutex::wrlock, &SharedMutex::wrunlock > | SharedMutexWriterGuard
typedef helpers::SharedObjectPtr< AbstractThread > | AbstractThreadPtr

## Functions

LOG4CPLUS_EXPORT log4cplus::tstring const & | getCurrentThreadName ()
LOG4CPLUS_EXPORT log4cplus::tstring const & | getCurrentThreadName2 ()
LOG4CPLUS_EXPORT void | setCurrentThreadName (const log4cplus::tstring &name)
LOG4CPLUS_EXPORT void | setCurrentThreadName2 (const log4cplus::tstring &name)
LOG4CPLUS_EXPORT void | yield ()
LOG4CPLUS_EXPORT void | blockAllSignals ()

## Typedef Documentation

## AbstractThreadPtr

typedef helpers::SharedObjectPtr<AbstractThread> log4cplus::thread::AbstractThreadPtr

Definition at line 104 of file threads.h.

## MutexGuard

typedef SyncGuard<Mutex> log4cplus::thread::MutexGuard

Definition at line 98 of file syncprims.h.

## QueuePtr

typedef helpers::SharedObjectPtr<Queue> log4cplus::thread::QueuePtr

Definition at line 150 of file queue.h.

## SemaphoreGuard

typedef SyncGuard<Semaphore> log4cplus::thread::SemaphoreGuard

Definition at line 122 of file syncprims.h.

## SharedMutexReaderGuard

typedef SyncGuardFunc<SharedMutex, &SharedMutex::rdlock, &SharedMutex::rdunlock> log4cplus::thread::SharedMutexReaderGuard

Definition at line 197 of file syncprims.h.

## SharedMutexWriterGuard

typedef SyncGuardFunc<SharedMutex, &SharedMutex::wrlock, &SharedMutex::wrunlock> log4cplus::thread::SharedMutexWriterGuard

Definition at line 201 of file syncprims.h.

## SimpleMutexGuard

typedef SyncGuard<SimpleMutex> log4cplus::thread::SimpleMutexGuard

Definition at line 79 of file syncprims.h.

## Function Documentation

## blockAllSignals()

LOG4CPLUS_EXPORT void log4cplus::thread::blockAllSignals | ( |  | ) |

References LOG4CPLUS_EXPORT.

## getCurrentThreadName()

LOG4CPLUS_EXPORT log4cplus::tstring const & log4cplus::thread::getCurrentThreadName | ( |  | ) |

References LOG4CPLUS_EXPORT.

Referenced by log4cplus::spi::InternalLoggingEvent::getThread().

## getCurrentThreadName2()

LOG4CPLUS_EXPORT log4cplus::tstring const & log4cplus::thread::getCurrentThreadName2 | ( |  | ) |

References LOG4CPLUS_EXPORT.

Referenced by log4cplus::spi::InternalLoggingEvent::getThread2().

## setCurrentThreadName()

LOG4CPLUS_EXPORT void log4cplus::thread::setCurrentThreadName | ( | const log4cplus::tstring & | name | ) |

References LOG4CPLUS_EXPORT.

## setCurrentThreadName2()

LOG4CPLUS_EXPORT void log4cplus::thread::setCurrentThreadName2 | ( | const log4cplus::tstring & | name | ) |

References LOG4CPLUS_EXPORT.

## yield()

LOG4CPLUS_EXPORT void log4cplus::thread::yield | ( |  | ) |

References LOG4CPLUS_EXPORT.